Delete discount

Delete discount

POST /DeleteDiscount

Deletes a defined discount. A deleted discount is not included in the Discount list response, cannot be picked on the sales screen and cannot be applied to new orders via the API.

Sample request

Delete discount
curl -X POST "https://ext.adisyo.com/api/External/v2/DeleteDiscount" \
  --header "x-api-key: ..." \
  --header "x-api-secret: ..." \
  --header "x-api-consumer: ..." \
  --header "Content-Type: application/json" \
  --data '{
    "discountId": 1234
  }'

Request parameters

Parameter NameData TypeRequiredDescription
discountIdNumberYesAdisyo ID of the discount to delete

Rules

  • Orders and reports the discount was previously applied to do not change.
  • A discount applied to an open order can also be deleted; the amount applied to the order is kept.
  • Returns 715 for a discount ID that is already deleted, not found or belongs to another restaurant.

Sample response

Delete discount
{
  "discountId": 1234,
  "status": 100,
  "message": "Discount deleted successfully."
}

Response parameters

Parameter NameData TypeDescription
discountIdNumberAdisyo ID of the deleted discount
statusNumberResponse Codes. Returns 715 for invalid parameters
messageStringResult message